diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
index 3da906f2f..397a99fdc 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
@@ -20,18 +20,18 @@ import java.util.List;
 
 public class CommandTestFor implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("testfor")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("testfor")
                 .requires(CommandSource::hasAdmin)
-                .then(LiteralArgumentBuilder.<CommandSource>literal("entity")
-                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("entity")
+                        .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
                                 .executes(c -> {
                                     List<? extends Entity> entities = c.getArgument("entities", EntitySelector.class).get(c.getSource());
                                     c.getSource().sendTranslatableMessage("command.commands.testfor.entity." + (entities.isEmpty() ? "none" : entities.size() == 1 ? "single" : "multiple"), entities.size());
                                     return entities.size();
                                 })))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("block")
-                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
-                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("block")
+                        .then(ArgumentBuilderRequired.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
+                                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
                                         .executes(c -> {
                                             BlockInput block = c.getArgument("block", BlockInput.class);
                                             IntegerCoordinates secondPos = c.getArgument("second", IntegerCoordinates.class);
@@ -47,8 +47,8 @@ public class CommandTestFor implements CommandManager.CommandRegistry {
                                             c.getSource().sendTranslatableMessage("command.commands.testfor.block.failure");
                                             return 0;
                                         })))
-                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
-                                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
+                        .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("first", ArgumentTypeIntegerCoordinates.intCoordinates())
+                                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("second", ArgumentTypeIntegerCoordinates.intCoordinates())
                                         .executes(c -> {
                                             IntegerCoordinates firstPos = c.getArgument("first", IntegerCoordinates.class);
                                             IntegerCoordinates secondPos = c.getArgument("second", IntegerCoordinates.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
index 739e7e1c3..d996bc1d2 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.Global;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.arguments.ArgumentTypeSeason;
@@ -18,63 +18,63 @@ import net.minecraft.core.world.season.Seasons;
 
 public class CommandTime implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("time")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("time")
             .requires(CommandSource::hasAdmin)
-            .then(LiteralArgumentBuilder.<CommandSource>literal("query")
-                .then(LiteralArgumentBuilder.<CommandSource>literal("daytime")
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("query")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("daytime")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         source.sendTranslatableMessage("command.commands.time.query", c.getSource().getWorld().getWorldTime() % 24000L);
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("gametime")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("gametime")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         source.sendTranslatableMessage("command.commands.time.query", source.getWorld().getWorldTime() % Integer.MAX_VALUE);
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("day")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("day")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         source.sendTranslatableMessage("command.commands.time.query", source.getWorld().getWorldTime() / 24000L % Integer.MAX_VALUE);
 
                         return Command.SINGLE_SUCCESS;
                         })))
-            .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("set")
+                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         int time = c.getArgument("time", Integer.class);
                         setWorldTime(source, source.getWorld(), time);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("day")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("day")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         setDayTime(source, source.getWorld(), 1000);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("noon")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("noon")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         setDayTime(source, source.getWorld(), 6000);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("night")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("night")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         setDayTime(source, source.getWorld(), 13000);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("midnight")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("midnight")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         setDayTime(source, source.getWorld(), 18000);
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, String>argument("season", ArgumentTypeSeason.season())
+                .then(ArgumentBuilderRequired.<CommandSource, String>argument("season", ArgumentTypeSeason.season())
                     .requires(c -> c.getWorld().getSeasonManager() instanceof SeasonManagerCycle)
                     .executes(c -> {
                         CommandSource source = c.getSource();
@@ -93,7 +93,7 @@ public class CommandTime implements CommandManager.CommandRegistry {
                         setWorldTime(source, source.getWorld(), source.getWorld().getWorldTime() - (source.getWorld().getWorldTime() % seasonManager.getYearLengthTicks()) + time);
                         return Command.SINGLE_SUCCESS;
                     })
-                    .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("day", IntegerArgumentType.integer())
+                    .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("day", ArgumentTypeInteger.integer())
                         .executes(c -> {
                             CommandSource source = c.getSource();
 
@@ -118,8 +118,8 @@ public class CommandTime implements CommandManager.CommandRegistry {
                     )
                 )
             )
-            .then(LiteralArgumentBuilder.<CommandSource>literal("add")
-                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
+            .then(ArgumentBuilderLiteral.<CommandSource>literal("add")
+                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("time", ArgumentTypeTime.time())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         int time = c.getArgument("time", Integer.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
index 5e64fe611..bfea50f68 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.FloatArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeFloat;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.world.World;
@@ -16,9 +16,9 @@ import net.minecraft.core.world.weather.Weathers;
 
 public class CommandWeather implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("weather")
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("weather")
                 .requires(CommandSource::hasAdmin)
-                .then(LiteralArgumentBuilder.<CommandSource>literal("clear")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("clear")
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         World world = source.getWorld();
@@ -28,7 +28,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                         source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                         return Command.SINGLE_SUCCESS;
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, Weather>argument("weather", ArgumentTypeWeather.weather())
+                .then(ArgumentBuilderRequired.<CommandSource, Weather>argument("weather", ArgumentTypeWeather.weather())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             World world = source.getWorld();
@@ -38,7 +38,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                             source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("duration", ArgumentTypeTime.time())
+                        .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("duration", ArgumentTypeTime.time())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     World world = source.getWorld();
@@ -48,7 +48,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                     source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Float>argument("power", FloatArgumentType.floatArg())
+                                .then(ArgumentBuilderRequired.<CommandSource, Float>argument("power", ArgumentTypeFloat.floatArg())
                                         .executes(c -> {
                                             CommandSource source = c.getSource();
                                             World world = source.getWorld();
@@ -58,7 +58,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                             source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                             return Command.SINGLE_SUCCESS;
                                         })))));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("w")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("w")
                 .requires(CommandSource::hasAdmin)
                 .redirect(command));
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
index c3d8ba23f..88a4042c9 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/Packet.java
@@ -127,7 +127,7 @@ public abstract class Packet
         packet.write(dos);
     }
 
-    public static void writeString(String string, DataOutputStream dos)
+    public static void writeStringUTF8(String string, DataOutputStream dos)
             throws IOException
     {
         if (string.length() > 32767)
@@ -142,7 +142,7 @@ public abstract class Packet
         }
     }
 
-    public static String readString(DataInputStream dis, int maxLength)
+    public static String readStringUTF8(DataInputStream dis, int maxLength)
             throws IOException
     {
         short length = dis.readShort();
@@ -159,7 +159,7 @@ public abstract class Packet
         return new String(data, StandardCharsets.UTF_8);
     }
 
-    public static void writeUTF16BEString(String string, DataOutputStream dos)
+    public static void writeStringUTF16BE(String string, DataOutputStream dos)
         throws IOException
     {
         if (string.length() > 32767)
@@ -174,7 +174,7 @@ public abstract class Packet
         }
     }
 
-    public static String readUTF16BEString(DataInputStream dis, int maxLength)
+    public static String readStringUTF16BE(DataInputStream dis, int maxLength)
         throws IOException
     {
         short length = dis.readShort();
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
index 27f4b6fcd..dd9d8bec9 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAESSendKey.java
@@ -23,14 +23,14 @@ public class PacketAESSendKey extends Packet
 	public void read(DataInputStream dis)
             throws IOException
     {
-        KEY = readString(dis, MAX_AES_KEY_SIZE);
+        KEY = readStringUTF8(dis, MAX_AES_KEY_SIZE);
     }
 
     @Override
 	public void write(DataOutputStream dos)
             throws IOException
     {
-        writeString(KEY, dos);
+        writeStringUTF8(KEY, dos);
     }
 
     @Override
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
index d9c2e5f9d..0724cb7b7 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddMob.java
@@ -54,7 +54,7 @@ public class PacketAddMob extends Packet
         yaw = dis.readByte();
         pitch = dis.readByte();
         unpackedData = SynchedEntityData.unpack(dis);
-        nickname = readString(dis, MAX_NICKNAME_SIZE);
+        nickname = readStringUTF16BE(dis, MAX_NICKNAME_SIZE);
         chatColor = dis.readByte();
     }
 
@@ -70,7 +70,7 @@ public class PacketAddMob extends Packet
         dos.writeByte(yaw);
         dos.writeByte(pitch);
         metaData.packAll(dos);
-        writeString(nickname, dos);
+        writeStringUTF16BE(nickname, dos);
         dos.writeByte(chatColor);
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
index 0cc408516..2dc7e674e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPainting.java
@@ -36,7 +36,7 @@ public class PacketAddPainting extends Packet
         throws IOException
     {
         entityId = dis.readInt();
-        key = readString(dis, ArtType.getMaxArtKeyLength());
+        key = readStringUTF8(dis, ArtType.getMaxArtKeyLength());
         xPosition = dis.readInt();
         yPosition = dis.readInt();
         zPosition = dis.readInt();
@@ -50,7 +50,7 @@ public class PacketAddPainting extends Packet
         throws IOException
     {
         dos.writeInt(entityId);
-        writeString(key, dos);
+        writeStringUTF8(key, dos);
         dos.writeInt(xPosition);
         dos.writeInt(yPosition);
         dos.writeInt(zPosition);
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
index e13e39b50..96e1b38d6 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketAddPlayer.java
@@ -62,7 +62,7 @@ public class PacketAddPlayer extends Packet
         throws IOException
     {
         this.entityId = dis.readInt();
-        this.name = readString(dis, MAX_USERNAME_SIZE);
+        this.name = readStringUTF8(dis, MAX_USERNAME_SIZE);
         this.uuid = readUUID(dis);
         this.xPosition = dis.readInt();
         this.yPosition = dis.readInt();
@@ -70,9 +70,8 @@ public class PacketAddPlayer extends Packet
         this.rotation = dis.readByte();
         this.pitch = dis.readByte();
         this.currentItem = dis.readShort();
-        this.nickname = readString(dis, MAX_NICKNAME_SIZE);
+        this.nickname = readStringUTF16BE(dis, MAX_NICKNAME_SIZE);
         this.chatColor = dis.readByte();
-        this.playerConfig = dis.readByte();
         this.gamemode = Byte.toUnsignedInt(dis.readByte());
 
         if (dis.readByte() == 1) {
@@ -87,7 +86,7 @@ public class PacketAddPlayer extends Packet
         throws IOException
     {
         dos.writeInt(this.entityId);
-        writeString(this.name, dos);
+        writeStringUTF8(this.name, dos);
         writeUUID(this.uuid, dos);
         dos.writeInt(this.xPosition);
         dos.writeInt(this.yPosition);
@@ -95,9 +94,8 @@ public class PacketAddPlayer extends Packet
         dos.writeByte(this.rotation);
         dos.writeByte(this.pitch);
         dos.writeShort(this.currentItem);
-        writeString(this.nickname, dos);
+        writeStringUTF16BE(this.nickname, dos);
         dos.writeByte(this.chatColor);
-        dos.writeByte(this.playerConfig);
         dos.writeByte(this.gamemode & 0xFF);
 
         if (this.heldObjectTag != null) {
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
index 42501348c..d5f3cb004 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketChat.java
@@ -47,14 +47,14 @@ public class PacketChat extends Packet {
 	@Override
 	public void read(DataInputStream in) throws IOException {
 		type = in.readByte();
-		message = readString(in, MAX_MESSAGE_SIZE);
+		message = readStringUTF16BE(in, MAX_MESSAGE_SIZE);
 		encrypted = in.readBoolean();
 	}
 
 	@Override
 	public void write(DataOutputStream out) throws IOException {
 		out.writeByte(type);
-		writeString(message, out);
+		writeStringUTF16BE(message, out);
 		out.writeBoolean(encrypted);
 	}
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
index f69822da2..4fc4e41e8 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketCustomPayload.java
@@ -29,7 +29,7 @@ public class PacketCustomPayload extends Packet {
 	
 	@Override
 	public void read(DataInputStream in) throws IOException {
-		this.channel = readString(in, MAX_CHANNEL_SIZE);
+		this.channel = readStringUTF8(in, MAX_CHANNEL_SIZE);
 		int length = in.readInt();
 		
 		if(length > 0 && length < 32768) {
@@ -40,7 +40,7 @@ public class PacketCustomPayload extends Packet {
 
 	@Override
 	public void write(DataOutputStream out) throws IOException {
-		writeString(channel, out);
+		writeStringUTF8(channel, out);
 		if(data != null) {
 			out.writeInt(data.length);
 			out.write(data);
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
index 5ce9975bd..647248536 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketDisconnect.java
@@ -26,14 +26,14 @@ public class PacketDisconnect extends Packet
 	public void read(DataInputStream dis)
         throws IOException
     {
-        reason = readUTF16BEString(dis, 255);
+        reason = readStringUTF16BE(dis, 255);
     }
 
     @Override
 	public void write(DataOutputStream dos)
         throws IOException
     {
-        writeUTF16BEString(reason, dos);
+        writeStringUTF16BE(reason, dos);
         if (image != null)
         {
             dos.write(image);
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
index 0b53456c6..dfccd0666 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketEntityNickname.java
@@ -31,14 +31,14 @@ public class PacketEntityNickname extends Packet
     @Override
     public void read(DataInputStream dis) throws IOException
     {
-        nickname = readString(dis, MAX_NICKNAME_SIZE);
+        nickname = readStringUTF16BE(dis, MAX_NICKNAME_SIZE);
         chatColor = dis.readByte();
     }
 
     @Override
     public void write(DataOutputStream dos) throws IOException
     {
-        writeString(nickname, dos);
+        writeStringUTF16BE(nickname, dos);
         dos.writeByte(chatColor);
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
index 5d44681bb..4a849cb01 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketLogin.java
@@ -45,9 +45,9 @@ public class PacketLogin extends Packet
         throws IOException
     {
         playerEntityIdAndProtocolVersion = dis.readInt();
-        username = readString(dis, MAX_USERNAME_SIZE);
+        username = readStringUTF8(dis, MAX_USERNAME_SIZE);
         uuid = readUUID(dis);
-        publicKey = readString(dis, MAX_AES_KEY_SIZE);
+        publicKey = readStringUTF8(dis, MAX_AES_KEY_SIZE);
         worldSeed = dis.readLong();
         dimensionId = dis.readByte();
         worldTypeId = dis.readByte();
@@ -59,9 +59,9 @@ public class PacketLogin extends Packet
         throws IOException
     {
         dos.writeInt(playerEntityIdAndProtocolVersion);
-        writeString(username, dos);
+        writeStringUTF8(username, dos);
         writeUUID(uuid, dos);
-        writeString(publicKey, dos);
+        writeStringUTF8(publicKey, dos);
         dos.writeLong(worldSeed);
         dos.writeByte(dimensionId);
         dos.writeByte(worldTypeId);
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
index 662f5d974..f56fd78d2 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPingHandshake.java
@@ -34,10 +34,10 @@ public class PacketPingHandshake
     public void read(DataInputStream dis) throws IOException {
         payload = dis.readUnsignedByte();
         identifier = dis.readUnsignedByte();
-        pingHostString = readUTF16BEString(dis, 255);
+        pingHostString = readStringUTF16BE(dis, 255);
         dis.readUnsignedShort();
         protocolVersion = dis.readUnsignedByte();
-        hostname = readUTF16BEString(dis, 255);
+        hostname = readStringUTF16BE(dis, 255);
         port = dis.readInt();
     }
 
@@ -45,10 +45,10 @@ public class PacketPingHandshake
     public void write(DataOutputStream dos) throws IOException {
         dos.writeByte(payload);
         dos.writeByte(identifier);
-        writeUTF16BEString(pingHostString, dos);
+        writeStringUTF16BE(pingHostString, dos);
         dos.writeShort(1 + 2 + StandardCharsets.UTF_16BE.encode(pingHostString).array().length + 4);
         dos.writeByte(protocolVersion);
-        writeUTF16BEString(hostname, dos);
+        writeStringUTF16BE(hostname, dos);
         dos.writeInt(port);
         startTime = System.currentTimeMillis();
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
index 04cfc9de4..42bf7705f 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPlayerList.java
@@ -32,8 +32,8 @@ public class PacketPlayerList extends Packet {
 		scores = new String[count];
 		
 		for(int i=0; i < count; i++) {
-			players[i] = readString(in, MAX_NICKNAME_SIZE);
-			scores[i] = readString(in, MAX_SCORE_STRING_SIZE);
+			players[i] = readStringUTF16BE(in, MAX_NICKNAME_SIZE);
+			scores[i] = readStringUTF16BE(in, MAX_SCORE_STRING_SIZE);
 		}
 	}
 
@@ -42,8 +42,8 @@ public class PacketPlayerList extends Packet {
 		out.writeInt(count);
 		
 		for(int i=0; i < count; i++) {
-			writeString(players[i], out);
-			writeString(scores[i], out);
+			writeStringUTF16BE(players[i], out);
+			writeStringUTF16BE(scores[i], out);
 		}
 	}
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
index 7462f0c42..5d2c82af7 100644
--- a/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
+++ b/game/core/src/main/java/net/minecraft/core/net/packet/PacketPreLogin.java
@@ -22,14 +22,14 @@ public class PacketPreLogin extends Packet
 	public void read(DataInputStream dis)
         throws IOException
     {
-        username = readString(dis, MAX_USERNAME_SIZE);
+        username = readStringUTF8(dis, MAX_USERNAME_SIZE);
     }
 
     @Override
 	public void write(DataOutputStream dos)
         throws IOException
     {
-        writeString(username, dos);
+        writeStringUTF8(username, dos);
     }
 
     @Override
